//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
vw.text = {


//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//***
//***draw a text box with vAlign (vertical alignment) and border as well as background
//***
drawTextBox: function (control, x, y, w, h, data, prop) {

	//draw box
    control.drawRect(x, y, w, h, prop);
    
    //draw text
    prop = vwstring.setKeyValue(prop, "border", "0");
    prop = vwstring.setKeyValue(prop, "background", "0");
    var valign = vwstring.getKeyValueString(prop, "vAlign", "middle");
    var obj = control.calcText(w, data, prop);
    switch(valign) {
		case "top":
		    var marginTop = vwstring.getKeyValueNumber(prop, "marginTop", 0);
		    y += marginTop;
			break;

		case "bottom":
		    var marginBottom = vwstring.getKeyValueNumber(prop, "marginBottom", 0);
		    y += h - marginBottom - obj.h;
			break;
		
		case "middle":
		case "center":
		    y += (h-obj.h)/2;
			break;

		default:
			break;			
    }
    
    control.drawCalcObject(x, y);

	return {x:x,y:y,w:w,h:h,x2:x+w,y2:y+h};
}

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


};
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
