//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//[Flash Version Detection]
var isIE  = (navigator.appVersion.indexOf("MSIE") != -1) ? true : false;
var isWin = (navigator.appVersion.toLowerCase().indexOf("win") != -1) ? true : false;
var isOpera = (navigator.userAgent.indexOf("Opera") != -1) ? true : false;

function ControlVersion() {
	var version;
	var axo;
	var e;

	// NOTE : new ActiveXObject(strFoo) throws an exception if strFoo isn't in the registry

	try {
		// version will be set for 7.X or greater players
		axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7");
		version = axo.GetVariable("$version");
	} catch (e) {
	}

	if (!version) {
		try {
			// version will be set for 6.X players only
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6");
			
			// installed player is some revision of 6.0
			// GetVariable("$version") crashes for versions 6.0.22 through 6.0.29,
			// so we have to be careful. 
			
			// default to the first public version
			version = "WIN 6,0,21,0";

			// throws if AllowScripAccess does not exist (introduced in 6.0r47)		
			axo.AllowScriptAccess = "always";

			// safe to call for 6.0r47 or greater
			version = axo.GetVariable("$version");

		} catch (e) {
		}
	}

	if (!version) {
		try {
			// version will be set for 4.X or 5.X player
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.3");
			version = axo.GetVariable("$version");
		} catch (e) {
		}
	}

	if (!version) {
		try {
			// version will be set for 3.X player
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.3");
			version = "WIN 3,0,18,0";
		} catch (e) {
		}
	}

	if (!version) {
		try {
			// version will be set for 2.X player
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash");
			version = "WIN 2,0,0,11";
		} catch (e) {
			version = -1;
		}
	}
	
	return version;
}

// JavaScript helper required to detect Flash Player PlugIn version information
function GetSwfVer(){
	// NS/Opera version >= 3 check for Flash plugin in plugin array
	var flashVer = -1;
	
	if (navigator.plugins != null && navigator.plugins.length > 0) {
		if (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]) {
			var swVer2 = navigator.plugins["Shockwave Flash 2.0"] ? " 2.0" : "";
			var flashDescription = navigator.plugins["Shockwave Flash" + swVer2].description;
			var descArray = flashDescription.split(" ");
			var tempArrayMajor = descArray[2].split(".");			
			var versionMajor = tempArrayMajor[0];
			var versionMinor = tempArrayMajor[1];
			var versionRevision = descArray[3];
			if (versionRevision == "") {
				versionRevision = descArray[4];
			}
			if (versionRevision[0] == "d") {
				versionRevision = versionRevision.substring(1);
			} else if (versionRevision[0] == "r") {
				versionRevision = versionRevision.substring(1);
				if (versionRevision.indexOf("d") > 0) {
					versionRevision = versionRevision.substring(0, versionRevision.indexOf("d"));
				}
			}
			var flashVer = versionMajor + "." + versionMinor + "." + versionRevision;
			//[mod]//alert("flashVer="+flashVer);
			return flashVer;
		}
	}
	// MSN/WebTV 2.6 supports Flash 4
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.6") != -1) flashVer = 4;
	// WebTV 2.5 supports Flash 3
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.5") != -1) flashVer = 3;
	// older WebTV supports Flash 2
	else if (navigator.userAgent.toLowerCase().indexOf("webtv") != -1) flashVer = 2;
	else if ( isIE && isWin && !isOpera ) {
		flashVer = ControlVersion();
	}	
	return flashVer;
}

// When called with reqMajorVer, reqMinorVer, reqRevision returns true if that version or greater is available
function DetectFlashVer(reqMajorVer, reqMinorVer, reqRevision) {
	versionStr = GetSwfVer();
	if (versionStr == -1 ) {
		return false;
	} else if (versionStr != 0) {
		if(isIE && isWin && !isOpera) {
			// Given "WIN 2,0,0,11"

			// ["WIN", "2,0,0,11"]
			tempArray         = versionStr.split(" ");

			// "2,0,0,11"
			tempString        = tempArray[1];			

			// ['2', '0', '0', '11']
			versionArray      = tempString.split(",");	
		} else {
			versionArray      = versionStr.split(".");
		}
		var versionMajor      = versionArray[0];
		var versionMinor      = versionArray[1];
		var versionRevision   = versionArray[2];

        	// is the major.revision >= requested major.revision AND the minor version >= requested minor
		if (versionMajor > parseFloat(reqMajorVer)) {
			return true;
		} else if (versionMajor == parseFloat(reqMajorVer)) {
			if (versionMinor > parseFloat(reqMinorVer))
				return true;
			else if (versionMinor == parseFloat(reqMinorVer)) {
				if (versionRevision >= parseFloat(reqRevision))
					return true;
			}
		}
		return false;
	}
}

function AC_AddExtension(src, ext) {
  //[mod]	
  //if (src.indexOf('?') != -1)
  //  return src.replace(/\?/, ext+'?'); 
  //else
  //  return src + ext;
  return src;
}

 
function AC_Generateobj(objAttrs, params, embedAttrs) { 
    var str = '';
    if (isIE && isWin && !isOpera)
    {
  		str += '<object ';
  		for (var i in objAttrs)
  			str += i + '="' + objAttrs[i] + '" ';
  		for (var i in params)
  			str += '><param name="' + i + '" value="' + params[i] + '" /> ';
  		str += '></object>';
    } else {
  		str += '<embed ';
  		for (var i in embedAttrs)
  			str += i + '="' + embedAttrs[i] + '" ';
  		str += '> </embed>';
    }

    //[mod]
    //document.write(str);
    return str;
}

function AC_FL_RunContent(){
  var ret = 
    AC_GetArgs
    (  arguments, ".swf", "movie", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
     , "application/x-shockwave-flash"
    );
 
	//[mod]
	//AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
	return AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function AC_GetArgs(args, ext, srcParamName, classid, mimeType){
  var ret = new Object();
  ret.embedAttrs = new Object();
  ret.params = new Object();
  ret.objAttrs = new Object();
  for (var i=0; i < args.length; i=i+2){
    var currArg = args[i].toLowerCase();    

    switch (currArg){	
      case "classid":
        break;
      case "pluginspage":
        ret.embedAttrs[args[i]] = args[i+1];
        break;
      case "src":
      case "movie":	
        args[i+1] = AC_AddExtension(args[i+1], ext);
        ret.embedAttrs["src"] = args[i+1];
        ret.params[srcParamName] = args[i+1];
        break;
      case "onafterupdate":
      case "onbeforeupdate":
      case "onblur":
      case "oncellchange":
      case "onclick":
      case "ondblClick":
      case "ondrag":
      case "ondragend":
      case "ondragenter":
      case "ondragleave":
      case "ondragover":
      case "ondrop":
      case "onfinish":
      case "onfocus":
      case "onhelp":
      case "onmousedown":
      case "onmouseup":
      case "onmouseover":
      case "onmousemove":
      case "onmouseout":
      case "onkeypress":
      case "onkeydown":
      case "onkeyup":
      case "onload":
      case "onlosecapture":
      case "onpropertychange":
      case "onreadystatechange":
      case "onrowsdelete":
      case "onrowenter":
      case "onrowexit":
      case "onrowsinserted":
      case "onstart":
      case "onscroll":
      case "onbeforeeditfocus":
      case "onactivate":
      case "onbeforedeactivate":
      case "ondeactivate":
      case "type":
      case "codebase":
        ret.objAttrs[args[i]] = args[i+1];
        break;
      
      //[mod]  
	  case "menu":		        
	  case "FlashVars":		        
	  
	  
      case "id":
      case "width":
      case "height":
      case "align":
      case "vspace": 
      case "hspace":
      case "class":
      case "title":
      case "accesskey":
      case "name":
      case "tabindex":
        ret.embedAttrs[args[i]] = ret.objAttrs[args[i]] = args[i+1];
        break;
      default:
        ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i+1];
    }
  }
  ret.objAttrs["classid"] = classid;
  if (mimeType) ret.embedAttrs["type"] = mimeType;
  return ret;
}

//[/Flash Version Detection] 1.6
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//[customization below]

// -----------------------------------------------------------------------------
// Globals
var REQUIRED_MAJOR_VERSION = 9;

// Major version of Flash required
var requiredMajorVersion = REQUIRED_MAJOR_VERSION;
// Minor version of Flash required
var requiredMinorVersion = 0;
// Minor version of Flash required
var requiredRevision = 0;
// -----------------------------------------------------------------------------


//////////////////////////////////////////////////////////////////////////////
//[mod]
function customDetectFlashVersion(param) {

// Version check based upon the values entered above in "Globals"
var hasReqestedVersion = DetectFlashVer(requiredMajorVersion, requiredMinorVersion, requiredRevision);

// Check to see if the version meets the requirements for playback
if (hasReqestedVersion) {
	// if we've detected an acceptable version
	// embed the Flash Content SWF when all tests are passed

				//"src", "example",
				//"width": "550",
				//"height": "200",
				//"id": "detectionExample",
				//"name": "detectionExample"}

	var str = AC_FL_RunContent(
				"FlashVars", param.FlashVars,
				"menu", "false",
				"src", param.src,
				"width", param.width,
				"height", param.height,
				"align", "middle",
				"id", param.id,
				"quality", "high",
				"bgcolor", "#FFFFFF",
				"name", param.id,
				"allowScriptAccess","sameDomain",
				"type", "application/x-shockwave-flash",
				'codebase', 'http://fpdownload.macromedia.com/get/flashplayer/current/swflash.cab',
				"pluginspage", "http://www.adobe.com/go/getflashplayer"
	);


	
	return {ok:true,literal:str};
	
} 
// flash is too old or we can't detect the plugin
else {  
	//[mod]
	//var alternateContent = 'Alternate HTML content should be placed here.<BR>'
	//+ 'This content requires the Adobe Flash Player. ' 
	//+ '<a href=http://www.adobe.com/go/getflash/>Get Flash</a>';	
	var alternateContent = 'This content requires the Adobe Flash Player ' + requiredMajorVersion + ' or later. ';
	alternateContent += '<a href=http://www.adobe.com/go/getflash/>Get Flash</a>';
	
	//document.write(alternateContent);  // insert non-flash content
	return {ok:false,literal:alternateContent};
}

}

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//[vwcontrol]
var vwcontrol = {

///////////////////////////////////////////
ajaxCall: function (url, data, handler) {
	vw_request.postSend(url,data, handler);
},

//////////////////////////////////////////////////////////////////////////////
get_screen_avail_size: function () {
	var w = screen.availWidth;
	var h = screen.availHeight;
	return {width:w,height:h};
},

//////////////////////////////////////////////////////////////////////////////
_toNewUrl: function (src) {
	var SEP = "?";
	if (vwstring.contains(src, "?")) {return src;}
	
	var r = Math.random();
	var p = String(r);
	p = vwstring.replace(p, ".", "");
	var url = src + SEP + p;	
	return url;	
},

//////////////////////////////////////////////////////////////////////////////
load: function (controlContainerId, src, id, width, height) {

	//fix IE refresh problem
	if ( isIE ) {src = this._toNewUrl(src);}

	var param = {
	FlashVars: "controlId="+id,
	src: src,
	id: id,
	width: width,
	height: height
	};

	var e = document.getElementById(controlContainerId);
	if (!e) {return false;}

	var obj = customDetectFlashVersion(param);
	
	if (obj.ok) {
		e.innerHTML = obj.literal;
	}
	else {
		e.innerHTML = obj.literal;		
	}	
	
	return obj.ok;
},

//////////////////////////////////////////////////////////////////////////////
get_control: function (controlname) {
   if (navigator.appName.indexOf("Microsoft") != -1) {return window[controlname];} else {return document[controlname];}
},


//////////////////////////////////////////////////////////////////////////////
_xml_to_obj: function (data) { 
var leftTagChar="<"; var rightTagChar=">"; var tagStart; var tagClose; var id; var item; var dataobj = new Object(); 
while ( vwstring.contains(data, leftTagChar) ) {id = vwstring.getPartBetween(data, leftTagChar, rightTagChar);
if (!id) {break;} tagStart = leftTagChar + id + rightTagChar;tagClose = leftTagChar + "/" + id + rightTagChar; 
item = vwstring.getPartBetween(data, tagStart, tagClose); dataobj[id] = item; data = vwstring.getPartAfter(data, tagClose);} 
return dataobj;
},


//////////////////////////////////////////////////////////////////////////////
xml_parse: function (data) {
	data = vwstring.replace(data, "&gt;", ">");data = vwstring.replace(data, "&lt;", "<"); return this._xml_to_obj(data);
}

//////////////////////////////////////////////////////////////////////////////
}
;
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
var vwstring = {
//toString: function(v) {return String(v);},
chopLeft: function(data, choplen) {var pos1 = choplen;return data.substring(pos1);},
chopRight: function(data, choplen) {var n = data.length;if (choplen<=0) {return data;} if (choplen>=n) {return "";} var pos = n - choplen; return data.substring(0,pos);},	
endWith: function (s,k) {if (!s) {return false;}var len=s.length;var klen=k.length;if (len<klen) return false;var pos=s.indexOf(k,len-klen);return (!(pos<0));},
startWith: function (s,k) {if (!s) {return false;}var pos=s.indexOf(k);return (pos==0);},
getKeyValueBoolean: function(str,k,defval) {var v = this.getKeyValue(str,k);if (v=="") {return defval;}return this.toBool(v);},
getKeyValueString: function(str,k,defval) {var v = this.getKeyValue(str,k);if (v=="") {return defval;}return this.toStr(v);},
getKeyValueInteger: function(str,k,defval) {var v = this.getKeyValue(str,k);if (v=="") {return defval;}return this.toInt(v);},
getKeyValueNumber: function(str,k,defval) {var v = this.getKeyValue(str,k);if (v=="") {return defval;}return this.toFloat(v);},
toBool: function(str) {if (str) {;} else {return false;}if (str=="") return false;else if (str=="0") return false;else if (str=="false") return false;else if (str=="False") return false;else if (str=="FALSE") return false;else if (str=="no") return false;else if (str=="No") return false;else if (str=="NO") return false;else if (str=="1") return true;else if (str=="true") return true;else if (str=="True") return true;else if (str=="TRUE") return true;else if (str=="yes") return true;else if (str=="Yes") return true;else if (str=="YES") return true;else return false;},
toInt: function(str) {if (str=="") return 0;else return parseInt(str,10);},
toFloat: function(str) {if (str=="") return 0.0;else return parseFloat(str);},
toStr: function(v) {return String(v);},
getKeyValue: function (s,k,t1,t2) {if (!s) {return "";} if (!t1) {t1=";";} if (!t2) {t2="=";} var i; var a=s.split(t1); if (!a) {return "";} var s1; var k1, v1; for(i=0;i<a.length;i++) {s1=a[i];k1 = this.getPartBefore(s1, t2);k1 = this.trim(k1);if (k==k1) {return this.getPartAfter(s1, t2);}}return "";},
setKeyValue: function (s,k,v,t1,t2) {if (!t1) {t1=";";} if (!t2) {t2="=";} var p = k + t2;if (!this.contains(s, p)) {return (s + t1 + p + v);}var a = s.split(t1);var count = a.length;var i, s1, k1, v1, b;var d = "";for (i=0;i<count;i++) {s1=a[i];if (d) {d+=t1;}if (this.contains(s1, t2)) {b = s1.split(t2);k1 = b[0];v1 = b[1];if (k==k1) {v1=v;}d += k1 + t2 + v1;}else {d += s1;}}return d;},
trim: function(str) {return str.replace(/(^\s+|\s+$)/g,'');},
replace: function (s,k1,k2) {var d=s;var v="";while (this.contains(d,k1)) {v+=this.getPartBefore(d,k1)+k2;d=this.getPartAfter(d,k1);}v+=d;return v;},
getPartBefore: function (s,k) { if (!s) {return "";} var pos=s.indexOf(k); if (pos<0) {return "";} else {return s.substring(0,pos);}},
getPartAfter: function (s,k) { if (!s) {return "";} var pos=s.indexOf(k); var len=s.length;var pos1, out1;if (pos<0) {return "";}else{pos1=pos+k.length;out1=s.substring(pos1,pos1+len-pos1);return out1;} },
getPartBetween: function (s,k1,k2) { if (!s) {return "";} var d=s; d=this.getPartAfter(d,k1); d=this.getPartBefore(d,k2); return d;},
replace: function (s,k1,k2) { var d=s; var v=""; while (this.contains(d,k1)) {v+=this.getPartBefore(d,k1)+k2;d=this.getPartAfter(d,k1);} v+=d; return v;},
contains: function (s,k) {if (!s) {return false;}var pos=s.indexOf(k);return (!(pos<0));}
};

//////////////////////////////////////////////////////////////////////////////
var g_req=null;var g_callbackFunction=null;var vw_ccaller = {abort: function() {try {if(g_req) {g_req.abort();}} catch(e) {}},release: function() {try {delete g_req;} catch(e) {}},getPlainText: function(url,callbackFunction) {return this._serverRequest("GET",url,"",callbackFunction);},postPlainText: function(url,data,callbackFunction) {return this._serverRequest("POST",url,data,callbackFunction);},_serverRequest: function(method,url,data,callbackFunction) {var req;try {if (g_req!=null) {delete g_req;}req = this._createXMLHttpRequest();if (req==null) {return false;}g_req = req;if (g_callbackFunction==null) {g_callbackFunction=callbackFunction;}} catch(e) {}try {req.onreadystatechange=this._processReqChange;req.open(method, url, true);req.setRequestHeader("Cache-Control","no-cache");req.send(data);} catch(e) {if (g_callbackFunction!=null) {g_callbackFunction("","[ERROR]1[/ERROR]","");}}return true;},_processReqChange: function() {try {if (g_req==null) {return;}if (g_req.readyState==4) {if (g_req.status==200) {var text = g_req.responseText;delete g_req;delete req;if (g_callbackFunction!=null) {g_callbackFunction(text,"","");}} else {if (g_callbackFunction!=null) {g_callbackFunction("","[ERROR]2[/ERROR]","");}}}delete g_req;delete req;} catch(e) {}},_createXMLHttpRequest: function() {var req;req = null;if(window.XMLHttpRequest) {try {req = new XMLHttpRequest();} catch(e) {req = null;}} else if(window.ActiveXObject) {try {req = new ActiveXObject("Msxml2.XMLHTTP");} catch(e) {try {req = new ActiveXObject("Microsoft.XMLHTTP");} catch(e) {req = null;}}}return req;}};
var vw_request = {_handler: null,_callHandler: function (data) {var handler = this._handler;if (handler) {handler(data);}},_onResponse: function (text, headers, callingContext) {var me = vw_request;var data = "";try{if (!text) {me._callHandler(data);return;}data = text;me._callHandler(data);}catch(ev){}},getSend: function (url, data, handler) {this._handler = handler;var cmdurl = url + "?" + escape(data);vw_ccaller.getPlainText(cmdurl, this._onResponse);},postSend: function (url,data, handler) {this._handler = handler;vw_ccaller.postPlainText(url,data,this._onResponse);}};
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//extension base for extensions
var vw = {};
//////////////////////////////////////////////////////////////////////////////

